#
# spec file for package gap-orb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-orb
Version:        4.8.0
Release:        lp152.3.4
Summary:        GAP: Methods to enumerate Orbits
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://gap-packages.github.io/orb/

#Git-Clone:	git://github.com/gap-system/orb
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/orb-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gap-devel >= 4.4.12
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
BuildRequires:  libtool
Requires:       gap-core >= 4.6
Requires:       gap-gapdoc >= 1.2
Suggests:       gap-io >= 3.3

%description
The orb package is about enumerating orbits in various ways.

%prep
%setup -qn orb-%version

%build
autoreconf -fi
%configure --with-gaproot="%gapdir"
# runs install :/
make %{?_smp_mflags} DESTDIR="%buildroot"
rm -Rf {aclocal*,autom4*,cnf,config*,m4,src}
find . -type f -name "*.la" -delete

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 4.8.0
  * Renamed the IsClosed filter to IsClosedOrbit, and added a new
    operation IsClosed which simply returns the value of the
    IsClosedOrbit filter. This allows other packages do also use
    the name IsClosed.
  * Fix hash tables with initial size <= 5 not growing correctly
  * Fix ORB_HashFunctionModWrapper
  * Fix bug in HTGrow causing it to never call
    ORB_HashFunctionModWrapper
  * Ensure compatibility with GAP 4.9
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 4.7.6
  * Move MappingPermListList C implementation from orb to the GAP
  kernel
  * Fix regression which prevent orb from being used without
  compilation
  * Some changes to the C code for compatibility with HPC-GAP
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 4.7.5
  * Show an error when the user tries to compute orbits of objects
  for which no ChooseHashFunction method is available. Previously,
  it would fall back to a "trivial" hash function, which lead to
  worst-case performance.
  * Remove Jenkins hash in favor of the Murmur hash built into GAP
  * Document that MakeSchreierTreeShallow only works for orbits with
  log.
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 4.7.3
  * Use hash functions for transformations and partial permutations
  provided by newer GAP versions instead of our own. This way, if
  the internal representation for these objects changes (as has
  recently happened), we stay compatible (see issue #3).
  * Fix bug were orb logs were not properly updated if the
  enumeration stopped early (see issues #4 and #5).
  * Fix bug caused by orbits with seeds (see issue #5).
  * Fix error in Memory() method for orbit-by-suborbit setup objects.
  * Fix a missing variable initialization, which could cause
  Enumerate (and hence anything using it, such as
  FindShortGeneratorsOfSubgroup) to run into an error.
- Remove orb-install.diff (fixed upstream)
* Fri May 10 2013 jengelh@inai.de
- Split orb (version 4.6) off the gap RPM package
